Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.idea
[Java] Interface IdeaCompilerOutput

    public interface IdeaCompilerOutput

IDEA compiler output settings.

Method Summary
`boolean` | `getInheritOutputDirs()` whether current module should inherit project's output directory.
`File` | `getOutputDir()` directory to store module's production classes and resources.
`File` | `getTestOutputDir()` directory to store module's test classes and resources.

Method Detail

### getInheritOutputDirs

    public boolean getInheritOutputDirs()

  whether current module should inherit project's output directory.
  Returns:
    inherit output dirs flag
  See Also:
    getOutputDir()
    getTestOutputDir()

### getOutputDir

    @Nullable
    public File getOutputDir()

  directory to store module's production classes and resources.
  Returns:
    directory to store production output. non-`null` if getInheritOutputDirs() returns `'false'`

### getTestOutputDir

    @Nullable
    public File getTestOutputDir()

  directory to store module's test classes and resources.
  Returns:
    directory to store test output. non-`null` if getInheritOutputDirs() returns `'false'`

Gradle API 1.1-rc-1